# Class ResponseUtil

java.lang.Object
org.apache.tomcat.util.http.ResponseUtil

public class ResponseUtil extends Object
Utility methods for HTTP response handling.

## Method Summary

Modifier and Type
Method
Description
`static void`
`addVaryFieldName(HttpServletResponse response, String name)`
Add a Vary header field name to the given response.
`static void`
`addVaryFieldName(MimeHeaders headers, String name)`
Add a Vary header field name to the given headers.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### addVaryFieldName

public static void addVaryFieldName(MimeHeaders headers, String name)
Add a Vary header field name to the given headers.

Parameters:
  `headers` - The headers
  `name` - The field name

### addVaryFieldName

public static void addVaryFieldName(HttpServletResponse response, String name)
Add a Vary header field name to the given response.

Parameters:
  `response` - The response
  `name` - The field name